Mailinglist Archive: opensuse-bugs (6588 mails)

< Previous Next >
[Bug 1143316] New: Nvidia Driver 418.74 won't build on Kernel 5.2+
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 29 Jul 2019 19:32:38 +0000
  • Message-id: <bug-1143316-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1143316


Bug ID: 1143316
Summary: Nvidia Driver 418.74 won't build on Kernel 5.2+
Classification: openSUSE
Product: openSUSE Tumbleweed
Version: Current
Hardware: PC
OS: openSUSE Factory
Status: NEW
Severity: Major
Priority: P5 - None
Component: X11 3rd Party Driver
Assignee: xorg-maintainer-bugs@xxxxxxxxxxxxxxxxxxxxxx
Reporter: wynn1212@xxxxxxxxx
QA Contact: sndirsch@xxxxxxxx
Found By: ---
Blocker: ---

Created attachment 812007
--> http://bugzilla.opensuse.org/attachment.cgi?id=812007&action=edit
/var/lib/dkms/nvidia/418.74/build/make.log

Nvidia Diver 418.74 won't build after upgrade Tumbleweed 20190726 (which has
kernel 5.2.2-1 installed)

==========================================================================
Information for package nvidia-bumblebee:
-----------------------------------------
Repository : X11:Bumblebee
Name : nvidia-bumblebee
Version : 418.74-12.3
Arch : x86_64
Vendor : obs://build.opensuse.org/X11:Bumblebee
Installed Size : 530 B
Installed : Yes
Status : up-to-date
Source package : nvidia-bumblebee-418.74-12.3.src
Summary : Installer for the proprietary graphics driver for GeForce 6xxx
and newer GPUs
Description :
This package will download and install the proprietary NVIDIA
Accelerated Linux Graphics Driver that brings accelerated 2D functionality
and high-performance OpenGL support to Linux x86 with the
use of NVIDIA graphics processing units (GPUs).

These drivers provide optimized hardware acceleration for OpenGL and X
applications and support nearly all recent NVIDIA GPU products
(see README.txt, Appendix A for a complete list of supported GPUs).
TwinView, TV-Out and flat panel displays are also supported.

==========================================================================
This is what happened when executing "dkms build nvidia/418.74"


=== Begin of Terminal Output ===
Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area...
'make' KERNEL_UNAME=5.2.2-1-default modules............(bad exit status: 2)
Error! Bad return status for module build on kernel: 5.2.2-1-default (x86_64)
Consult /var/lib/dkms/nvidia/418.74/build/make.log for more information.
=== End of Terminal Output ===

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >